Haproxy has non-working Horizon session persistence.

Bug #1526786 reported by Sofer Athlan-Guyot on 2015-12-16
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
tripleo
Medium
Sofer Athlan-Guyot

Bug Description

Haproxy is using session persistence[1] for horizon. It is not
correctly configured though. The cookie is not properly set.

    curl -v http://192.0.2.6/dashboard
    * About to connect() to 192.0.2.6 port 80 (#0)
    * Trying 192.0.2.6...
    * Connected to 192.0.2.6 (192.0.2.6) port 80 (#0)
    > GET /dashboard HTTP/1.1
    > User-Agent: curl/7.29.0
    > Host: 192.0.2.6
    > Accept: */*
    >
    Dec 16 13:02:11 overcloud-controller-0.localdomain haproxy[12666]: Connect from 192.0.2.6:53406 to 192.0.2.6:80 (horizon/HTTP)
    < HTTP/1.1 302 FOUND
    < Date: Wed, 16 Dec 2015 13:02:11 GMT
    < Server: Apache/2.4.6 (CentOS)
    < Vary: Accept-Language,Cookie
    < X-Frame-Options: SAMEORIGIN
    < Content-Language: en
    < Location: http://192.0.2.6/dashboard/auth/login/?next=/dashboard/
    < Content-Length: 0
    < Content-Type: text/html; charset=utf-8
    < Set-Cookie: SERVERID=; Expires=Thu, 01-Jan-1970 00:00:01 GMT; path=/
    <
    * Connection #0 to host 192.0.2.6 left intact

The SERVERID session cookie is empty. This cause the kind of problem notice there in the rhbz[2]

[1]: http://blog.haproxy.com/2012/03/29/load-balancing-affinity-persistence-sticky-sessions-what-you-need-to-know/
[2]: https://bugzilla.redhat.com/show_bug.cgi?id=1285648

Changed in tripleo:
importance: Undecided → Medium
status: New → Triaged
assignee: nobody → Sofer Athlan-Guyot (sofer-athlan-guyot)

This issue was fixed in the openstack/puppet-tripleo 0.4.0 release.

Changed in tripleo:
status: Triaged → Fix Released

This issue was fixed in the openstack/puppet-tripleo 0.4.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers